### Enumeration

# FwupdPlugin EfiSectionType

#### Declaration

    enum FwupdPlugin.EfiSectionType

#### Description

No description available.

#### Members

`FU_EFI_SECTION_TYPE_COMPRESSION`

  Encapsulation section type values.

  - Value: `1`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_GUID_DEFINED`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_DISPOSABLE`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PE32`

  Leaf section type values.

  - Value: `16`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PIC`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_TE`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_DXE_DEPEX`

  No description available.

  - Value: `19`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_VERSION`

  No description available.

  - Value: `20`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_USER_INTERFACE`

  No description available.

  - Value: `21`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_COMPATIBILITY16`

  No description available.

  - Value: `22`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_VOLUME_IMAGE`

  No description available.

  - Value: `23`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_FREEFORM_SUBTYPE_GUID`

  No description available.

  - Value: `24`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_RAW`

  No description available.

  - Value: `25`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PEI_DEPEX`

  No description available.

  - Value: `27`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_MM_DEPEX`

  No description available.

  - Value: `28`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PHOENIX_SECTION_POSTCODE`

  Vendor-specific Phoenix SCT.

  - Value: `240`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_INSYDE_SECTION_POSTCODE`

  Insyde H2O.

  - Value: `32`
  - Available since: 1.0